import { Enabled, Info } from '@yukawa/chain-base-angular-core';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.AccessToken <br/>
*/
export interface AccessToken<C> {
    readonly claims?: C;
    readonly details?: {
        [key: string]: Object;
    };
    readonly expiration?: Date;
    readonly id?: string;
    readonly issuedAt?: Date;
    readonly roles?: string[];
    readonly subject?: string;
    readonly token?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.Account <br/>
*/
export interface Account {
    credentials?: Credentials;
    details?: {
        [key: string]: Object;
    };
    roles?: string[];
    status?: AccountStatus;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.AccountStatus <br/>
*/
export interface AccountStatus extends Enabled {
    accountNonExpired?: boolean | null;
    accountNonLocked?: boolean | null;
    credentialsNonExpired?: boolean | null;
    enabled?: boolean;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.Credentials <br/>
*/
export interface Credentials {
    /**
    *	@example admin
    */
    password: string;
    /**
    *	@example admin
    */
    username: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.security.domain.RoleInfo <br/>
*/
export interface RoleInfo extends Info {
    /**
    *	@example materials
    */
    scope?: string;
}
